<?xml version="1.0"?>
<doc>
    <assembly>
        <name>BPA.MES.Base.Core</name>
    </assembly>
    <members>
        <member name="T:BPA.MES.Base.Core.DEntityBase">
            <summary>
            名    称 ：主键  
            创 建 人 ：yangxiao  
            创建时间 ：2023/3/2 13:59:33 
            描    述 ：  
            </summary>
        </member>
        <member name="P:BPA.MES.Base.Core.DEntityBase.Id">
            <summary>
            主键
            </summary>
        </member>
        <member name="T:BPA.MES.Base.Core.EmptyExtensions">
            <summary>
            名    称 ：  
            创 建 人 ：yangxiao  
            创建时间 ：  2023/3/4 9:51:33 
            描    述 ：  
            </summary>
        </member>
        <member name="T:BPA.MES.Base.Core.RequestPage">
            <summary>
            名    称 ：分页基础类  
            创 建 人 ：yangxiao  
            创建时间 ：  2023/3/2 16:15:41 
            描    述 ：  
            </summary>
        </member>
        <member name="P:BPA.MES.Base.Core.RequestPage.PageIndex">
            <summary>
            页码
            </summary>
            <example>1</example>
        </member>
        <member name="P:BPA.MES.Base.Core.RequestPage.PageSize">
            <summary>
            页大小
            </summary>
            <example>10</example>
        </member>
        <member name="T:BPA.MES.Base.Core.SqlSugarPagedList`1">
            <summary>
            名    称 ：分页泛型集合  
            创 建 人 ：yangxiao  
            创建时间 ：  2023/3/2 16:21:27 
            描    述 ：  
            </summary>
        </member>
        <member name="P:BPA.MES.Base.Core.SqlSugarPagedList`1.Page">
            <summary>
            页码
            </summary>
        </member>
        <member name="P:BPA.MES.Base.Core.SqlSugarPagedList`1.PageSize">
            <summary>
            页容量
            </summary>
        </member>
        <member name="P:BPA.MES.Base.Core.SqlSugarPagedList`1.Total">
            <summary>
            总条数
            </summary>
        </member>
        <member name="P:BPA.MES.Base.Core.SqlSugarPagedList`1.TotalPages">
            <summary>
            总页数
            </summary>
        </member>
        <member name="P:BPA.MES.Base.Core.SqlSugarPagedList`1.Items">
            <summary>
            当前页集合
            </summary>
        </member>
        <member name="P:BPA.MES.Base.Core.SqlSugarPagedList`1.HasPrevPage">
            <summary>
            是否有上一页
            </summary>
        </member>
        <member name="P:BPA.MES.Base.Core.SqlSugarPagedList`1.HasNextPage">
            <summary>
            是否有下一页
            </summary>
        </member>
        <member name="T:BPA.MES.Base.Core.SqlSugarPagedExtensions">
            <summary>
            分页拓展类
            </summary>
        </member>
        <member name="M:BPA.MES.Base.Core.SqlSugarPagedExtensions.ToPagedList``1(SqlSugar.ISugarQueryable{``0},System.Int32,System.Int32)">
            <summary>
            分页拓展
            </summary>
            <param name="entity"></param>
            <param name="pageIndex"></param>
            <param name="pageSize"></param>
            <returns></returns>
        </member>
        <member name="M:BPA.MES.Base.Core.SqlSugarPagedExtensions.ToPagedListAsync``1(SqlSugar.ISugarQueryable{``0},System.Int32,System.Int32)">
            <summary>
            分页拓展
            </summary>
            <param name="entity"></param>
            <param name="pageIndex"></param>
            <param name="pageSize"></param>
            <returns></returns>
        </member>
        <member name="T:BPA.MES.Base.Core.SqlsugarSetup">
            <summary>
            名    称 ：数据库启动类
            创 建 人 ：yangxiao  
            创建时间 ：  2023/3/23 14:09:30 
            描    述 ：  
            </summary>
        </member>
        <member name="T:BPA.MES.Base.Core.TreeExtensions">
            <summary>
            名    称 ：  
            创 建 人 ：yangxiao  
            创建时间 ：  2023/3/4 9:50:52 
            描    述 ：  
            </summary>
        </member>
    </members>
</doc>
